Ticket #34632

Open Date: 2014-11-23 13:28

Last Update: 2014-11-28 16:33

Skype Desktop 6.22 でエラーが出る

Reporter:nishimotoOwner:(None)
Priority:5 - MediumMileStone:2014.4jp (closed)
Type:BugsSeverity:5 - Medium
Component:本家Status:Closed
ResolutionFixed

Details

Windows 8.1 32ビット + Skype Desktop 6.22 + 2014.4jp-beta-141121 で フォーカスを移動したときに

AttributeError: 'IAccessible' object has no attribute 'stopMonitoring'

というエラーが出ています。

本家でも確認されているエラーのようです。 直すと 6.22 にしか対応できない状態になってしまうらしく、 本家リリース版でも 2014.4 に向けては修正されない見込みです。

http://community.nvda-project.org/ticket/4589

http://community.nvda-project.org/ticket/4218

Attachment File

Attachment File ListNo attachments
Add New attachment
Add attachment filesPlease login to add new attachment

Ticket History - 3/4 Histories [Show all old Histories]

2014-11-23 13:28 Updated by: nishimoto

  • New Ticket "Skype Desktop 6.22 でエラーが出る" created

2014-11-26 17:39 Updated by: nishimoto

Comment

本家レポジトリの t4218 をマージしてみたところ Skype 6.22.64.106 が正常に動くようです。

http://community.nvda-project.org/changeset/90f42226dc7cc01e8c3a8114d4c1f37f431559804

この修正は本家版 2014.4 では見送られるようです。 マージするとバージョン 6.22 までの動作に影響が出そうですが、 あと3ヶ月 Skype の旧バージョンを使ってもらうのも現実的ではない気がします。 日本語版 2014.4jp にマージしてよいでしょうか。。

2014-11-27 17:59 Updated by: nishimoto

Comment

コメントがないようなので、NVDA 日本語版 2014.4jp で独自に Skype 6.22 対応するということでよいでしょうか。。

旧バージョンでエラーが出ないようにしたい、といわれたら旧バージョン対応の skype.py を appModules に入れてもらう、という対応はいちおう可能なはずです。。

2014-11-28 16:33 Updated by: nishimoto

  • Ticket Close date is changed to 2014-11-28 16:33
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Comment

本家レポジトリの t4218 をマージして 2014.4jp をリリースすることにしました。

http://community.nvda-project.org/changeset/90f42226dc7cc01e8c3a8114d4c1f37f431559804


Add Comment/Update #34632 (Skype Desktop 6.22 でエラーが出る)

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login